Create AccessLists
Sandbox is coming soon
Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.
Authorization
AuthToken X-Auth-Token<token>
Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.
In: header
Path Parameters
account_id*string
Vinix account identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/accounts/string/access_lists" \ -H "Content-Type: application/json" \ -d '{ "data": { "cidrs": [ "string" ], "order": "allow,deny" } }'{
"data": {
"cidrs": [
"string"
],
"order": "allow,deny",
"user_agent": "string"
}
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}{
"code": "string",
"message": "string",
"request_id": "string"
}
